package com.zcloud.mapper.datasource.message;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：相关方管理
 * 作者：luoxiaobao
 * 时间：2022-06-07
 * 官网：www.zcloudchina.com
 */
public interface MessageTemplatesMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);


	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);
	/**通过编码获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByEncode(PageData pd);
	/**查询所有数据
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);




}

